python2.7 vulnerabilities

Continuously find & fix vulnerabilities like these in your dependencies. Test and protect your applications

Direct Vulnerabilities

Known vulnerabilities in the python2.7 package. This does not include vulnerabilities belonging to this package’s dependencies.

Report new vulnerabilities
Vulnerability Vulnerable versions Snyk patch Published
  • M
HTTP Request Smuggling
* Not available 16 Feb, 2021
  • C
Buffer Overflow
* Not available 21 Jan, 2021
  • L
Improper Input Validation
* Not available 14 Jul, 2020
  • L
Resource Exhaustion
* Not available 04 Feb, 2020
  • L
Resource Exhaustion
* Not available 30 Jan, 2020
  • L
Arbitrary Code Injection
* Not available 25 Oct, 2019
  • M
Cross-site Scripting (XSS)
<2.7.16-2+deb10u1 Not available 28 Sep, 2019
  • H
Improper Input Validation
<2.7.16-2+deb10u1 Not available 09 Sep, 2019
  • M
Improper Input Validation
<2.7.16-2+deb10u1 Not available 24 Jul, 2019
  • C
Credentials Management
<2.7.16-2+deb10u1 Not available 07 Jun, 2019
  • C
Directory Traversal
<2.7.16-2 Not available 23 Mar, 2019
  • M
CRLF Injection
<2.7.16-2+deb10u1 Not available 23 Mar, 2019
  • M
CRLF Injection
<2.7.16-2+deb10u1 Not available 13 Mar, 2019
  • C
Credentials Management
<2.7.16-2 Not available 08 Mar, 2019
  • H
NULL Pointer Dereference
<2.7.15-6 Not available 16 Jan, 2019
  • C
Arbitrary Command Injection
<2.7.15-5 Not available 25 Sep, 2018
  • H
Missing Initialization of Resource
<2.7.15-5 Not available 25 Sep, 2018
  • L
Resource Exhaustion
<2.7.9-1 Not available 27 Jun, 2018
  • L
Directory Traversal
<2.7.8-1 Not available 27 Jun, 2018
  • L
Open Redirect
<2.7.12-2 Not available 27 Jun, 2018
  • L
Improper Input Validation
<2.7.14-7 Not available 19 Jun, 2018
  • L
Improper Input Validation
<2.7.14-7 Not available 18 Jun, 2018
  • L
Out-of-bounds Write
<2.7.14-5 Not available 08 Feb, 2018
  • L
Arbitrary Code Injection
* Not available 14 Dec, 2017
  • C
Integer Overflow or Wraparound
<2.7.13-4 Not available 17 Nov, 2017
  • M
Out-of-Bounds
<2.7.7-1 Not available 24 Aug, 2017
  • M
Protection Mechanism Failure
<2.7.12~rc1-1 Not available 02 Sep, 2016
  • C
Integer Overflow or Wraparound
<2.7.12~rc1-1 Not available 02 Sep, 2016
  • M
HTTP Response Splitting
<2.7.10~rc1-1 Not available 02 Sep, 2016
  • M
Improper Data Handling
<2.7.9-1 Not available 07 Jun, 2016